$(window).ready(function() {
    chrome.storage.sync.set({"last":null});

    if ($("article .extension").length) {
        $("article .extension").addClass("installed");
        var timestamp = $("article .extension").data("timestamp");
        var csrf = $("article .extension").data("csrf");
        var extension = md5(timestamp+""+csrf);
        var secret = $("article .extension").data("secret");
        $.get(window.location.pathname+"?extension="+extension+"&timestamp="+timestamp+"&csrf="+csrf+(secret ? "&secret="+secret : ""), function(response) {
            $("article").replaceWith(response);
            $("article").attr("extension-version", "chrome-"+chrome.runtime.getManifest().version);

            var toggleActionButton = function(button) {
                $(button).toggleClass("btn-default btn-success disabled").prop("disabled", "disabled").find("i.glyphicon-refresh").toggleClass("glyphicon-refresh glyphicon-ok").removeClass("spin");

                if ($("#actions .btn-success[data-type]").length == $("#actions tr").length) {
                    var button = $("#getKey a");
                    var actions = 0;
                    $("#actions [data-action-id]").each(function(i,el){
                        actions += parseInt($(el).data("action-id"));
                    });
                    $(button).attr("href", $(button).attr("href")+"&actions="+md5(actions)).removeClass("disabled");
                }
            };

            $("#actions").on("click", "a[data-type='trigger']", function() {
                toggleActionButton($(this).closest("tr").find(".btn-default[data-type='link']"));
            });

            $("#actions").on("click", ".btn-default[data-type='link']", function() {
                if ($(this).is("a"))
                    toggleActionButton($(this));
            });

            $("#actions").on("click", "[data-trigger='link']", function() {
                toggleActionButton($(this).closest("tr").find("button i.glyphicon-refresh").parent());
            });

            $("#modal-youtube-view").on("click", "[data-trigger='youtube.view']", function() {
                toggleActionButton($("#actions tr[data-action-id='"+$(this).data("action-id")+"'] button i.glyphicon-refresh").parent());
            });

            $("#actions").on("click", "button[data-type='steam.greenlight']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='steam.group']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='steam.curator']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='steam.game.follow']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='steam.game.wishlist']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='vk.club']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='vk.repost']", function() {
                var button = $(this).prop("disabled", "disabled");
                var data = $(button).data("check").split(":");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='vk.like']", function() {
                var button = $(this).prop("disabled", "disabled");
                var data = $(button).data("check").split(":");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='facebook.page.like']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='facebook.page.follow']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='facebook.post.like']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='twitter.follow']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='twitter.favorite']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='twitter.retweet']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                        toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='youtube.like']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                            toggleActionButton(button);
            });

            $("#actions").on("click", "button[data-type='youtube.subscribe']", function() {
                var button = $(this).prop("disabled", "disabled");
                $(button).find(".glyphicon").addClass("spin");
                            toggleActionButton(button);
            });
        });
    }
});